## python-aiormq 6.4.1

=== debian/changelog ===
python-aiormq (6.4.1-1) unstable; urgency=medium

  * New upstream version 6.4.1.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 15 Aug 2022 08:19:26 -0300

python-aiormq (6.3.4-2) unstable; urgency=medium

  * Team upload.
  * No-changes source-only upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Wed, 20 Jul 2022 08:14:00 -0400

python-aiormq (6.3.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1014863)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 13 Jul 2022 08:35:41 -0300

## python-aiormq 6.4.2

=== Makefile ===
all: clean sdist test upload

NAME:=$(shell python3 setup.py --name)
VERSION:=$(shell python3 setup.py --version | sed 's/+/-/g')
RABBITMQ_CONTAINER_NAME:=aiormq_rabbitmq
RABBITMQ_IMAGE:=mosquito/aiormq-rabbitmq

rabbitmq:
	docker kill $(RABBITMQ_CONTAINER_NAME) || true
	docker run --pull=always --rm -d \
		--name $(RABBITMQ_CONTAINER_NAME) \
		-p 5671:5671 \
		-p 5672:5672 \
		-p 15671:15671 \
		-p 15672:15672 \
		$(RABBITMQ_IMAGE)

sdist:
	python3 setup.py sdist bdist_wheel

upload: sdist
	twine upload dist/*$(VERSION)*

quick-test:
	TEST_QUICK='1' env/bin/pytest -vvx --cov=aiormq \
		--cov-report=term-missing tests

test: quick-test
	env/bin/tox

clean:
	rm -fr *.egg-info .tox

develop: clean
	virtualenv -p python3.6 env
	env/bin/pip install -Ue '.'
	env/bin/pip install -Ue '.[develop]'

=== debian/changelog ===
python-aiormq (6.4.2-1) unstable; urgency=medium

  * New upstream version 6.4.2.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Sat, 24 Sep 2022 11:28:08 -0300

=== debian/control ===
Source: python-aiormq
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pamqp,
               python3-yarl
Standards-Version: 4.6.1
Homepage: https://github.com/mosquito/aiormq
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiormq
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiormq.git
Testsuite: autopkgtest-pkg-python

Package: python3-aiormq
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: pure Python AMQP client library (Python 3)
 This program is a pure Python AMQP 0.9.1 asynchronous client library.
 .
 Features:
  Connecting by URL.
  Buffered queue for received frames.
  Only PLAIN auth mechanism support.
  Publisher confirms support.
  Transactions support.
  Channel based asynchronous locks.
  Tracking unroutable messages.
  Full SSL/TLS support.
  Python type hints.
  Uses pamqp as an AMQP 0.9.1 frame encoder/decoder.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = aiormq

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_test:
	# don't run the tests, module aiomisc_pytest is required and it's not on Debian.

=== debian/watch ===
version=4
https://github.com/mosquito/aiormq/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-aiormq 6.8.1

=== Makefile ===
all: clean test

NAME:=$(shell poetry version -n | awk '{print $1}')
VERSION:=$(shell poetry version -s)
RABBITMQ_CONTAINER_NAME:=aiormq_rabbitmq
RABBITMQ_IMAGE:=mosquito/aiormq-rabbitmq

rabbitmq:
	docker kill $(RABBITMQ_CONTAINER_NAME) || true
	docker run --pull=always --rm -d \
		--name $(RABBITMQ_CONTAINER_NAME) \
		-p 5671:5671 \
		-p 5672:5672 \
		-p 15671:15671 \
		-p 15672:15672 \
		$(RABBITMQ_IMAGE)

upload:
	poetry publish --build --skip-existing

test:
	poetry run pytest -vvx --cov=aiormq \
		--cov-report=term-missing tests README.rst

clean:
	rm -fr *.egg-info .tox

develop: clean
	poetry install

=== debian/changelog ===
python-aiormq (6.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Add myself as Uploader.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Add pybuild-plugin-pyproject to Build-Depends.
  * Add python3-poetry-core to Build-Depends.

 -- Georg Faerber <georg@debian.org>  Tue, 07 Jan 2025 21:56:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
+Uploaders: Georg Faerber <georg@debian.org>,
+           Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-pamqp,
+               python3-poetry-core,
                python3-yarl
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/mosquito/aiormq
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiormq
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiormq.git
